import { Point2D } from './Point2D';
export declare class Vector2D {
    x: number;
    y: number;
    constructor(x: number, y: number);
    add(v: Point2D): this;
    subtract(v: Point2D): this;
    subtractC(v: Point2D): Vector2D;
    addC(v: Point2D): Vector2D;
    magSqrd(): number;
    mag(): number;
    dot(v: Point2D): number;
    normalize(mag?: number): this;
    normalizeC(mag?: number): Vector2D;
    zero(): this;
    rotate(angle: number): this;
    angle(): number;
    perpendicular(): Vector2D;
    angleBetween(v: Point2D): number;
    copy(): Vector2D;
    static midPoint(a: Point2D, b: Point2D): Vector2D;
    static fromPoints(a: Point2D, b: Point2D): Vector2D;
    static fromPoint(a: Point2D): Vector2D;
}
